ucspi-proxy-http-xlate(1)

NAME
ucspi-proxy-http-xlate - Translating HTTP proxy

SYNOPSIS
ucspi-proxy-http-xlate [ -v ] search replace [ search replace [...]]

DESCRIPTION
ucspi-proxy-http-xlate is a HTTP proxy for a UCSPI client/server pair that can translate strings within HTTP content on the fly. All occurrences of search are replaced with replace. If the HTTP response from the server contained a Content-Length header, it is replaced with the length of the translated content.

SEE ALSO
ucspi-proxy(1)

CAVEATS
All content is translated. This could cause some odd side-effects if a search string is found in a binary response, such as an image.